LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_board/boards_43xx/keil_mcb_4357/board.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

board.c File Reference
`#include "board.h"`
`#include "string.h"`
`#include "retarget.h"`

Go to the source code of this file.

## Macro Definition Documentation

#define LCD_CS | ( |  | x | ) |

Value:
((x) ? (Chip_GPIO_SetPinState(LPC_GPIO_PORT, 7, 16, true)) : (Chip_GPIO_SetPinState(LPC_GPIO_PORT, \
7, 16, false)))

Private definitions for LCD

Definition at line 49 of file board.c.

## Function Documentation

static Status Board_Audio_CodecInit | ( | int | micIn | ) |
| static

Definition at line 98 of file board.c.

static void Board_LED_Init | ( |  | ) |
| static

Definition at line 272 of file board.c.

static void delay | ( | uint32_t | i | ) |
| static

Definition at line 93 of file board.c.

static bool detectTSCTouch | ( | void |  | ) |
| static

Definition at line 172 of file board.c.

static Status getTSCCoord | ( | int16_t * | x,
|  | int16_t * | y
| ) |  |
| static

Definition at line 185 of file board.c.

static void pinConfig | ( | void |  | ) |
| static

Definition at line 150 of file board.c.

static uint32_t readTSCReg | ( | uint8_t | regAddr,
|  | uint8_t * | value
| ) |  |
| static

Definition at line 166 of file board.c.

static void writeLCD00_16 | ( | uint16_t | c | ) |
| static

Private functions for LCD controller

Definition at line 118 of file board.c.

static void writeLCD01_16 | ( | uint16_t | c | ) |
| static

Definition at line 130 of file board.c.

static void writeLCDReg | ( | uint16_t | reg,
|  | uint16_t | dat
| ) |  |
| static

Definition at line 144 of file board.c.

static uint32_t writeTSCReg | ( | uint8_t | regAddr,
|  | uint8_t | value
| ) |  |
| static

Definition at line 157 of file board.c.

## Variable Documentation

const int32_t ad_bottom = 237

Definition at line 58 of file board.c.

const int32_t ad_left = 3813

Definition at line 55 of file board.c.

const int32_t ad_right = 360

Definition at line 57 of file board.c.

const int32_t ad_top = 3805

Definition at line 56 of file board.c.

const uint32_t ExtRateIn = 0

Clock rate on the CLKIN pin This value is defined externally to the chip layer and contains the value in Hz for the CLKIN pin for the board. If this pin isn't used, this rate can be 0.

Definition at line 85 of file board.c.

uint32_t g_isNewPenDn

Definition at line 54 of file board.c.

uint32_t g_isPenDn

Private variables for LCD

Definition at line 53 of file board.c.

const uint8_t ledbits[] = {24, 25, 26, 27, 28, 12, 13, 14}
| static

Definition at line 46 of file board.c.

const uint8_t ledports[] = {6, 6, 6, 6, 6, 4, 4, 4}
| static

Definition at line 45 of file board.c.